.chamada {
  font-family: 'Poppins', sans-serif;
  font-size: 1.35rem;
  letter-spacing: 0.07em;
  font-weight: lighter;
  background: linear-gradient(to right, #000000, #2e2c2c);
  border-bottom: 2px solid;
  display: block;
  width: 100%;
  padding: 0.6rem 1rem 0.2rem 1rem;
  color: #f5f0e3;
  text-align: left;
  border-radius: 4px;
  margin-bottom: 0.4rem ; 
  backdrop-filter: blur(2px);
  text-shadow:
    0 0 4px rgba(255, 215, 160, 0.25),
    0 0 8px rgba(255, 215, 160, 0.15);

  box-shadow:
    inset 0 0 12px rgba(255, 215, 160, 0.08),
    0 2px 6px rgba(0, 0, 0, 0.4);
}

/* Container da lista de vídeos */
.lista-de-videos {
  display: grid;
  /* - Mínimo: 1rem (16px)
    - Fluido: 2vw (2% da largura da tela)
    - Máximo: 1.5rem (24px)
  */
  gap: 1.3rem;
  margin-bottom: 10px;
  
  padding: 0.4rem 0.5rem;
}

.grid-cols-4 { grid-template-columns: repeat(4, 1fr);}

.grid-cols-6 {
  grid-template-columns: repeat(6, 1fr);
}

/* Imagem horizontal (cenas) */
.grid-cols-4 .thumbnail-container, .grid-cols-5 .thumbnail-container{
  aspect-ratio: 16 / 10.5;
}

/* Imagem vertical (filmes) */
.grid-cols-6 .thumbnail-container {
  aspect-ratio: 2 / 2.82;
}

/* Card de vídeo */
.video-card {
  border-radius: 1px;
  overflow: hidden;
  box-shadow: 0 2px 8px rgba(0,0,0,0.1);
  transition: transform 0.2s ease;
  display: block;
  text-decoration: none;
  color: inherit;
  width: 100%;
  border-bottom:2px solid;
}

.video-card:hover {
  transform: scale(1.03);
}

/* Estilo comum para imagem */
.thumbnail-container img {
  /* Garante que a imagem nunca seja maior que o container */
    max-width: 100%;
    max-height: 100%;
    
    /* Ajusta a imagem para caber inteira, mantendo a proporção */
    object-fit: contain; 
    
    /* Remove altura/largura fixas para permitir o ajuste automático */
    width: auto;
    height: auto;
    transition: transform 0.3s ease;
}



/* Estilo para ambas as imagens (capa e contracapa) */
.thumbnail-container .front-cover,
.thumbnail-container .back-cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: opacity 0.4s ease-in-out; /* Transição suave de opacidade */
    object-fit: contain; 
}

.thumbnail-container {
  position: relative;
  width: 100%;
  overflow: hidden;
}

/* A contracapa começa invisível */
.thumbnail-container .back-cover {
    opacity: 0;
}

/* Ao passar o mouse sobre o card, a contracapa se torna visível */
.video-card:hover .thumbnail-container .back-cover {
    opacity: 1;
}



.truncate-title {
  font-size: 1rem;
  font-weight: 600;
  padding: 1px 3px;
  background-color: #181818ff;
  color:whitesmoke;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  height: 35px;
  line-height: 35px;
  margin: 0;
}

.etiqueta-lancamento, .etiqueta-premium{
  position: absolute;
  color:white;
  font-weight: bold;
  z-index: 2;
  box-shadow: 0 3px 8px rgba(0,0,0,.35);
  border-bottom:1px solid #fff;
  border-radius: 10px;
}

.etiqueta-lancamento {
  top: 2px;
  left: 2px;
  background: hsla(3, 100%, 59%, 0.76);
  font-size: 0.8rem;
  padding: 1px 9px;
}

.etiqueta-premium{
  bottom: 2px;
  left: 2px; 
  background: hsla(51, 100%, 50%, 0.767);
  color: #000;
  font-size: 0.7rem;
  padding: 2px 6px;
}




